# HTTP Webhook

## Introduction

Our HTTP Webhook module allows you to integrate any type of custom service. The module sends a POST request to the URLs you have configured, and provisioning can then be handled entirely by your service.

When configured, the module sends an HTTP Authorization Bearer Token with each request.

## Installation

None

## Alle Requests von dem Modul:

Methode: POST\
Payload:&#x20;

| Schlüssel      | Beschreibung                                           |
| -------------- | ------------------------------------------------------ |
| productHosting | ProductHosting-Objekt                                  |
| event          | Das Event, z.B. create, lock, unlock, delete,          |
| options        | Nur bei create, ein assoc-Array mit den Produktoptione |

Die create-Response von der API wird in dem Hosting gespeichert. Sollte die JSON-Response den Schlüssel "message" enthalten, wird diese gelogged und in der Administration angezeigt.

### Request-Besonderheit: Status Abfrage

Methode: GET (!)\
Erwartete Rückgabe: JSON Response mit den Schlüsseln:&#x20;

| Schlüssel    | Beschreibung                                                                                |
| ------------ | ------------------------------------------------------------------------------------------- |
| statusString | Der String, der im Kundenbereich angezeigt wird. z.B. "Online" oder "Offline"               |
| badgeColor   | Die Bootstrap-Farbe der Badge, die angezeigt wird. z.B. "danger" oder "success"             |
| additional   | Optional - Zusätzliche Daten im Array-Format, welche in der Storefront zur Verfügung stehen |

Wenn statusString nicht definiert ist, wird standardmäßig der Status "Aktiv" in grüner Farbe zurückgegeben.

### Request-Besonderheit: Overview Abfrage

Methode: GET (!)\
Erwartete Rückgabe: JSON Response mit den Schlüsseln:&#x20;

| Schlüssel | Beschreibung                                                                  |
| --------- | ----------------------------------------------------------------------------- |
| html      | HTML, welches auf der Übersicht des Hostings im Kundenbereich angezeigt wird. |

Wenn html nicht definiert ist, wird im Kundenbereich nichts angezeigt.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hostware.io/modules/hosting-provisioning/http-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
